-----------------------------------------------------------------------------
-- Stage 2-7
-----------------------------------------------------------------------------
-- GLOBALS

function SpawnIntroAnimals()

    a = EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "IntroCamAnimalsPath1", 0, 1, 1, 1, 1.2);
    Animal.SetLoopAtPathEnd(a, true);
    b = EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "IntroCamAnimalsPath2", 0, 2, 1, 2, 1.2);
    Animal.SetLoopAtPathEnd(b, true);
    c = EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "IntroCamAnimalsPath1", 0, 3, 1, 3, .7);
    Animal.SetLoopAtPathEnd(c, true);
    d = EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "IntroCamAnimalsPath2", 0, 4, 1, 4, .7);
    Animal.SetLoopAtPathEnd(d, true);  
        
    end;
    
-----------------------------------------------------------------------------   
 
function PostStage()

    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART); 
    EntGame.BindCameraToEntity("OutroCamera");

    end;     
    
-----------------------------------------------------------------------------    
-- Setup

function Setup()
    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");

    -- load world
    SetupWorld("Maps\\WorldSunsetMountain\\SunsetMountainCommon.ini", "Maps\\Stage2-7\\Stage2-7.ini","","");
    EntGame.CreatePlayerEntities();
    
	EntGame.SetGlobalDustColorInitial(1.0, 0.64, .35, .2);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.64, .35, .2);
 
    EntGame.SetStageTimer(150);

    EntGame.LoadAnimal(AID_SPURWINGGOOSE_M);
 
    SpawnIntroAnimals();	

 	StartupSequence("Music\\Afterlife.ogg");

	EntGame.DestroyAllAnimals();
   
    end;

-----------------------------------------------------------------------------

function Part1()

SetCoinGround=15.2;

    Camera.SetSpeed(entCamera, 0.0, 0.1);	    
    Camera.JumpToWaypoint(entCamera, "CamWptAA");  
    
    Script.WaitSec(.5);
        
    EntGame.ShowCaption(STR_LVL_2_7_A, 0, 4.0);
    
    Script.WaitSec(.5);
        
    Camera.SetSpeed(entCamera, 1, 0.1);	    
    Camera.StopAtWaypoint(entCamera, "CamWptHH");   
    

    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha1", 0, 0, 1, 0, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha1", 0, 0, 0, -1, .88);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha1", 0, 0, 1, 1, .6);	
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha1", 0, 0, 2, 0, .88);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha1", 0, 0, 0, 2, .5);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha1", 0, 1, 1, 1, .4);	
    Script.WaitSec(1);   
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha2", 0, 0, .1, 0, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha2", 0, 0, .2, .5, .88);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha2", 0, 0, .5, 1, .44);	
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha3", 0, 0, .22, 0, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha3", 0, 0, 1, .5, .88);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha3", 0, 0, .33, 1, .25);	
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha4", 0, 0, .5, 0, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha4", 0, 0, .1, .5, .88);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha4", 0, 0, 0, 0, 1.0);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha4", 0, 0, .22, .5, .77);
    Script.WaitSec(3); 
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha2", 0, 0, 1, 0, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha2", 0, 0, .5, .5, .88);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha2", 0, 0, 0, -1, .66);
    Script.WaitSec(3);    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha4", 0, 0,1, 1, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha4", 0, 0, .5, .5, .88);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha4", 0, 0, 0, -1, .6);	
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha4", 0, 3, 3, 1, .88);
    
    EntGame.ShowCaption(STR_LVL_2_7_B, 0, 3.5);
    
    Script.WaitSec(2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha4", 0, 0,1, 1, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha4", 0, 0, .5, .5, .88);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha4", 0, 0, 0, -1, .6);	
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha4", 0, 3, 3, 1, .88);
    Script.WaitSec(6);
       
    EntGame.ShowCaption(STR_LVL_2_7_C, 0, 3.5);
    
    Script.WaitSec(3);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha5", 0, 0,1, 1, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha5", 0, 0, .5, .5, .88);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha5", 0, 0, 0, -1, .6);	
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha5", 0, 1, 1, 1, .88);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha6", 0, 0,1, 1, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha6", 0, 0, .5, .5, .88);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha6", 0, 0, 0, -1, .6);	
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha6", 0, -2, -2, 1, .88);
    Script.WaitSec(1);   
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 0,1, 1, 1.2);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(.25);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 0, .5, .5, .88);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(.25);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 0, 0, -1, .6);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(.5);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 1, 1, 1, .88);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(3);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 0, 1, 1, 1.2);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(.25);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 0, 2, .5, .88);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(.25);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 0, 3, -1, .6);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(.5);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0,0, 3, 1, .88);
    Animal.SetCoinOffset(a, 1.5);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 0, 1, 1, .6);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(3);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 0, 3, 1, 1.1);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(.25);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 0, 1, .5, .99);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(.25);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 0, 3, -1, .6);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(.5);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0,0, 1, 1, .88);
    Animal.SetCoinOffset(a, 1.5);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 0, 5, 1, .7);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(3);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 0, 5, 1, 1.2);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(.25);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 0, 6, .5, .99);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(.25);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 0, 7, -1, .6);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(1);
    a=EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha7", 0, 1, 3, -1, 1.35);
    Animal.SetCoinOffset(a, 1.5);
    Script.WaitSec(6);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha8", 0, 0, 3, 1, 1.1);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha8", 0, 0, 4, .5, .99);
    Script.WaitSec(.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha8", 0, 0, 7, -1, .6);	
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha8", 0, 0, 4, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha8", 0, 0, 7, -1, .88);
    Script.WaitSec(.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha8", 0, 1, 5, -1, .6);    
    Script.WaitSec(3);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha9", 0, 0, 3, 1, 1.1);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha10", 0, 0, 4, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha9", 0, 0, 7, -1, .6);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha10", 0, 0, 2, .5, .7);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha9", 0, 0, 1, -1, .5);	
    Script.WaitSec(4);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha10", 0, 0, 3, 1, 1.1);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha10", 0, 0, 4, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha9", 0, 0, 7, -1, .6);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha9", 0, 0, 2, .5, .7);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha10", 0, 0, 1, -1, .5);	
    Script.WaitSec(4);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha11", 0, 0, 3, 1, 1.1);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha11", 0, 0, 4, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha11", 0, 0, 7, -1, .6);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha11", 0, 1, 5, -1, .6);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha12", 0, 0, 2, 1, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha12", 0, 0, 3, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha12", 0, 0, -3, -1, .8);	
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha12", 0, 0, 2.5, -1, .45);	
    Script.WaitSec(2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha12", 0, 0, 2, 1, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha12", 0, 0, 4, -.5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha12", 0, 0, -4, -5, .8);	
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha12", 0, 0, -2.5, -3, .45);	            
    Script.WaitSec(2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha13", 0, 0, 1, 1, 1.1);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha13", 0, 0, 2, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha13", 0, 0, 4, -1, .6);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha13", 0, 1, 5, -1, .6);	
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha13", 0, 0, 2, .5, .99); 
    Script.WaitSec(5);
    
    EntGame.ShowCaption(STR_LVL_2_7_D, 0, 4.0);
    
    Script.WaitSec(5);
            
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha13", 0, 0, 1, 1, 1.1);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha13", 0, 0, 2, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha13", 0, 0, 4, -1, .6);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha13", 0, 1, 5, -1, .6);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0,1, 1, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0, 3, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0, -2, -1, .8);	
    Script.WaitSec(.4);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0, 2.5, -1, .45);	
    Script.WaitSec(5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha15", 0, 0, -1, 1, 1.1);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha15", 0, 0, -2, .5, .99);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha15", 0, 1, -2, -1, .6);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha15", 0, 0, -1.5, .5, .7);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha15", 0, 0, -2, -1, .5);	
	Script.WaitSec(5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, -1, 2, 1, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 1, 2, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0, 3, -1, .8);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 3, 2, .5, .7);
    Script.WaitSec(.33);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 2, 1, -1, .5);
    Script.WaitSec(.33);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 1, 2, .5, .7);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0, 4, -1, .67);	
    Script.WaitSec(2.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 3, 2, .5, .7);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 2, 1, -1, .5);
    Script.WaitSec(.5);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 1, 2, .5, .7);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha14", 0, 0, 4, -1, .67);	
    Script.WaitSec(8);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha16", 0, -1, 1, 1, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha16", 0, 1, 2, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha16", 0, 0, 7, -1, .8);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha16", 0, 0, 4, -1, .67);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha17", 0, 0, 3, 1, 1.1);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha17", 0, 0, 4, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha17", 0, 0, 7, -1, .6);
    Script.WaitSec(8.25);

  	EntGame.ShowCaption(STR_LVL_2_7_E, 0, 4.0);
  	
  	Script.WaitSec(4);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha21", 0, -1, 1, 1, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha21", 0, 1, 2, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha21", 0, 0, 7, -1, .8);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha21", 0, 0, 4, -1, .67);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha21", 0, 0, 3, 1, .8);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha21", 0, 0, 2, -1, .67);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha22", 0, -1, 1.5, 1, 1.3);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha22", 0, 1, 1, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha22", 0, 0, 3, -1, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha22", 0, 0, 5, -1, .88);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha22", 0, 0, 2, 1, .8);
    Script.WaitSec(3);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha18", 0, 0, -1, 1, 1.1);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha18", 0, 0, 0, .5, .99);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha18", 0, 1, 0, -1, .6);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha18", 0, 0, 1, .5, .7);
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha18", 0, 0, 0, -1, .5);
	Script.WaitSec(3);    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha19", 0, 0, 1, 1, 1.1);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha19", 0, 0, 2, .5, .99);
    Script.WaitSec(.33);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha19", 0, 0, 4, -1, .6);
    Script.WaitSec(.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha20", 0, 1, 5, -1, .6);	
    Script.WaitSec(.4);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha20", 0, 0,1, 1, 1.2);
    Script.WaitSec(2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha20", 0, 0, 1, 1, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha20", 0, 0, 2, .5, .88);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha20", 0, 0, 3, -1, .6);	
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha20", 0,0, 3, 1, .88);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha20", 0, 0, 1, 1, .6);
    Script.WaitSec(2); 	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha21", 0, -1, 1, 1, 1.2);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha21", 0, 1, 1, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha21", 0, -2, 5, -1, .8);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha21", 0, 1, 2, -1, .67);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha22", 0, -1, 1.5, 1, 1.3);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha22", 0, 1, 2, .5, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha22", 0, 0, 4, -1, .99);
    Script.WaitSec(.25);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "FollowPathAlpha22", 0, 0, 6, -1, .88);

    end;
    
-----------------------------------------------------------------------------
-- Main entry point
   
Setup();   
Part1();   


